

# setAcl  {#concept_303804 .concept}

`setAcl`指令为指定文件设置ACL。 使用新的方式填写配置文件以及bucket 。 支持文件过滤器

```
ks3util setAcl - Batch set ks3 objects acl
```

## 命令格式 {#section_22j_0g5_zxr .section}

``` {#codeblock_iqe_41b_uc4}
./ks3util setAcl -a <acl_str>  <ks3Bucket>  -include<>
```

## 使用示例 {#section_qz8_3f3_3pp .section}


- 批量设置 把目标桶`bucketName`下包含的所有key 的acl 状态设置成 `PublicRead`   桶名需要以`/`为结尾分割

  ``` {#codeblock_vy0_qp2_0xu}
  ./ks3util  setAcl ks3://bucketName/ -a PublicRead
  
  【批量设置ACL】
  finish setAcl command,totalNum=116,filterFetchNum=0,failNum=0,Check log for more information
  ```
  



## 常用选项 {#section_u0p_bn4_loi .section}

您可以在使用`setAcl`命令时附加如下选项指定列举模式及列举的内容：

| 选项名称  | 描述      | 是否必填 |
| --------- | ------------------------------------ |--------- |
| `ks3Bukcet`      | 目标桶的名称 (需要以`/`结尾)                           |是|
| `-a`      | 值：Private \| PublicRead |是|
| `-include` | 文件名称白名单，多个用英文逗号分隔。           |
| `-exclude` | 文件名称黑名单，多个用英文逗号分隔。 |




